/*  Wordtrans, front-end for several dictionaries, for the Qt toolkit.
    Copyright (C) 2000 Ricardo Villalba <rvm@linuxfan.com>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

/**********************************************************************

	--- Qt Architect generated file ---

	File: QADictPrefs.h
	Last generated: Sat Nov 11 16:25:03 2000

 *********************************************************************/

#ifndef QADictPrefs_included
#define QADictPrefs_included

#include "dictPrefsData.h"
#include "QDictDiccionario.h"
#include <qstring.h>
#include <qpixmap.h>

class DictPrefs : public DictPrefsData
{
    Q_OBJECT

public:

    DictPrefs
    (
		QDictDiccionario *diccionario, bool nuevo,
        QWidget* parent = NULL,
        const char* name = NULL
    );

    virtual ~DictPrefs();

	bool aceptar();

protected slots:
	virtual void actualiza_combos();
	virtual void load_icono1();
	virtual void load_icono2();
	bool valida_servidor_y_puerto();

private:
	QDictDiccionario *dict;
	bool nuevo_dict;

	QPixmap ico1;
	QPixmap ico2;
	QString fichero_icono1;
	QString fichero_icono2;

	static QString last_dir;

};

#endif // QADictPrefs_included
